Subject: Re: [PATCH v2] refs.h: make all flags arguments unsigned

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Feb 2022 15:03:37 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> The post-image LGTM, but I'm also a bit "meh" on the churn just for
> signed->unsigned, especially given the conflict with my in-flight
> ab/no-errno-from-resolve-ref-unsafe. But it's not too bad, and if Junio
> hasn't complained about it...

I won't complain myself.  I'd still try to help newer developers,
but my intention is to make it the responsibility for individual
developers to make sure their topic works well with topics in
flight ;-)

Between "enum" and #define that is stored in "unsigned", neither
gives us much type safety in C; "enum" may be somewhat worse by
giving a false sense of having a type safety that does not really
exist, than "unsigned int" that is more honestly defeats such a
false sense of safety.  So I have no strong preference either way.